/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.reflection;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public interface IVariable extends IElement {
    
    @Override
    IVariables collect();

    @Override
    IMethod parent();
    
}
